View Issue Details

IDProjectCategoryView StatusLast Update
0000475FreeCADBugpublic2011-11-09 07:21
Reportermsynth Assigned To 
PrioritynormalSeveritymajorReproducibilityhave not tried
Status closedResolutionno change required 
Product Version0.11 
Fixed in Version0.12 
Summary0000475: "File was not written with this version of the topology"
DescriptionAlthough it is possible to use FreeCAD console to do the FreeCAD operations (such as Booleans), but only after opening the created file with the GUI of FreeCAD and clicking on the created objects the file will be updated and you can save the files. Otherwise the saved files will be empty Asciis.
Additional InformationTo see the error, you can do as follows:

1. run the following Macro:

import FreeCAD
import Part

FreeCAD.open("~/L1.FCStd")

App.ActiveDocument=App.getDocument("L1")
Gui.ActiveDocument=Gui.getDocument("L1")
App.getDocument("L1").removeObject("Fillet")
App.getDocument("L1").removeObject("Fusion")

FreeCAD.getDocument("L1").getObject("Box").Height = 9.00
FreeCAD.getDocument("L1").getObject("Box001").Height = 9.00
FreeCAD.getDocument("L1").getObject("Box002").Height = 9.00
FreeCAD.getDocument("L1").getObject("Box002").Width = 60.00

App.activeDocument().addObject("Part::MultiFuse","Fusion")
App.activeDocument().Fusion.Shapes = [App.activeDocument().Box002,App.activeDocument().Box001,App.activeDocument().Box]

FreeCAD.ActiveDocument.addObject("Part::Fillet","Fillet")
FreeCAD.ActiveDocument.Fillet.Base = FreeCAD.ActiveDocument.Fusion
__fillets__ = []
__fillets__.append((20,3.00,3.00))
FreeCAD.ActiveDocument.Fillet.Edges = __fillets__
del __fillets__
FreeCADGui.ActiveDocument.Fusion.Visibility = False


App.getDocument("L1").FileName = "~/L2.FCStd"
App.getDocument("L1").Label = "L2"
App.getDocument("L1").save()

2. Unzip the L2.FCStd
3. You will see that Partshape3 and 4 are empty.

I have attached both L1 and L2.
TagsNo tags attached.
FreeCAD Information

Activities

2011-11-08 18:52

 

FreeCAD files L1 and L2.zip (Attachment missing)

wmayer

2011-11-09 07:21

administrator   ~0001267

According to http://forum.freecadweb.org/viewtopic.php?f=10&t=1866&sid=9094f6cbd847d946976bd49b58561847
a App.activeDocument().recompute() is missing before saving.

Issue History

Date Modified Username Field Change
2011-11-08 18:52 msynth New Issue
2011-11-08 18:52 msynth File Added: FreeCAD files L1 and L2.zip
2011-11-09 07:21 wmayer Note Added: 0001267
2011-11-09 07:21 wmayer Status new => closed
2011-11-09 07:21 wmayer Resolution open => no change required
2011-11-09 07:21 wmayer Fixed in Version => 0.12